SoTexture3Transform(3)

NAME
SoTexture3Transform - The SoTexture3Transform class is used to define 3D texture transformations.

SYNOPSIS

#include <Inventor/nodes/SoTexture3Transform.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTexture3Transform (void)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void pick (SoPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec3f translation
SoSFRotation rotation
SoSFVec3f scaleFactor
SoSFRotation scaleOrientation
SoSFVec3f center

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTexture3Transform ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTexture3Transform class is used to define 3D texture transformations. Textures applied to shapes in the scene can be transformed by 'prefixing' in the state with instances of this node type. Translations, rotations and scaling in 3D can all be done.

The default settings of this node's fields equals a 'null transform', i.e. no transformation.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
 FILE FORMAT/DEFAULTS:

Texture3Transform {
    translation 0 0 0
    rotation 0 0 1  0
    scaleFactor 1 1 1
    scaleOrientation 0 0 1  0
    center 0 0 0
}

See also
    SoTexture2Transform

Since
    Coin 2.0

    TGS Inventor 2.6

Constructor & Destructor Documentation

  SoTexture3Transform::SoTexture3Transform (void)
Constructor.

  SoTexture3Transform::~SoTexture3Transform () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTexture3Transform::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTexture3Transform::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTexture3Transform::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTexture3Transform::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoTexture3Transform::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoTexture3Transform::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoTexture3Transform::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoTexture3Transform::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  void SoTexture3Transform::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

Member Data Documentation

  SoSFVec3f SoTexture3Transform::translation
Texture coordinate translation. Default value is [0, 0, 0].

  SoSFRotation SoTexture3Transform::rotation
Texture coordinate rotation (s is X-axis, t is Y-axis and r is Z-axis). Defaults to an identity rotation (i.e. zero rotation).

  SoSFVec3f SoTexture3Transform::scaleFactor
Texture coordinate scale factors. Default value is [1, 1, 1].

  SoSFRotation SoTexture3Transform::scaleOrientation
The orientation the texture is set to before scaling. Defaults to an identity rotation (i.e. zero rotation).

  SoSFVec3f SoTexture3Transform::center
Center for scale and rotation. Default value is [0, 0, 0].

Author

Generated automatically by Doxygen for Coin from the source code.